<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 *
 * Show current user friends. Allows accept/cancel friendship. Shows current friendship status
 */
class FriendsListWidget extends BaseWidget
{
    public function run()
    {
        $friendships = Friendship::model()
            ->with(array(
                'user1' => array('with' => array('profile' => array('alias' => 'p1'))),
                'user2' => array('with' => 'profile'))
        )
            ->findAll('user1_id = :user_id or user2_id = :user_id', array(':user_id' => Yii::app()->user->id));

        $this->render('FriendsListWidget', array('friendships' => $friendships));

    }
}
