<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 */
class m120409_092636_remove_superuser_field extends CDbMigration
{
    public function up()
    {
        try{
            $this->dropColumn('{{users}}', 'superuser');
        }catch (Exception $e){}
    }

    public function down()
    {
        $this->addColumn('{{users}}', 'superuser', "boolean NOT NULL DEFAULT '0'");
        $this->createIndex('superuser', '{{users}}', 'superuser', false);
        return true;
    }

    /*
     // Use safeUp/safeDown to do migration with transaction
     public function safeUp()
     {
     }

     public function safeDown()
     {
     }
     */
}